Subject: gitweb doesn't work with bare repositories

From: Evgeniy Ivanov <[email-masked]>
Date: Sun, 30 Nov 2008 02:37:30 +0300

Hi,
I have installed gitweb and can't make it work with bare repos.
I have such config:
$my_uri = "http://mysite.org:8000";
$projectroot = "/srv/www/gamekeeper/htdocs/projects";

In projects I have created bare repo:
mkdir some
cd some.git
git --bare init
cd /some_git_repo
git push /srv/www/gamekeeper/htdocs/projects master

Everything fine, but when I click the link on some.git I don't have a
page (just "Error 404").

But if I clone /some_git_repo with some in the projects, I have a link
"some/.git" and it works fine.

Permissions are ok, virtual host is ok since I get main page and have
access to cloned repo.

What can be wrong?

-- 
Cheers, Evgeniy.
Key fingerprint: F316 B5A1 F6D2 054F CD18 B74A 9540 0ABB 1FE5 67A3